/*
 * UnitTestBPlusTree.h
 *
 *  Created on: Sep 12, 2010
 *      Author: data
 */

#ifndef UNITTESTBPLUSTREE_H_
#define UNITTESTBPLUSTREE_H_

#include <cassert>
#include <cstdlib>
#include <iostream>
#include <vector>
#include <set>

#include "btree_multiset.h"
#include "btree_multimap.h"
#include "btree_map.h"
#include "btree_set.h"

class UnitTestBPlusTree {

protected:
	struct traits_nodebug {
		static const bool       selfverify = true;
		static const bool       debug = false;

		static const int        leafslots = 8;
		static const int        innerslots = 8;
	};

public:
	UnitTestBPlusTree();
	virtual ~UnitTestBPlusTree();

	int main_b_plus_tree(int argc, char** argv);

	void iterator_test_1();
	void iterator_test_2();
	void iterator_test_3();
	void iterator_test_4();
	void iterator_test_5();
	void iterator_test_6();
};

#endif /* UNITTESTBPLUSTREE_H_ */
