//============================================================================
// Name        : DataStructures.cpp
// Author      : Pradipto Das
// Version     :
// Copyright   : Your copyright notice
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
using namespace std;

// including cpp unit test files
#include "../Heap/UnitTestCHeap.h"
#include "../KWayMerge/UnitTestKMerge.h"
#include "../Tries/UnitTestCTrie.h"
#include "../BPlusTree/UnitTestBPlusTree.h"
#include "../DictionaryReader/UnitTestDictionary.h"
using namespace std;


int main(int argc, char** argv) {
	cout << "using data structures in C++" << endl;
	UnitTestCHeap ut_heap;
	UnitTestKMerge ut_kmerge;
	UnitTestCTrie ut_trie;
	UnitTestBPlusTree ut_bplustree;
	UnitTestDictionary ut_dictionary;

	//ut_kmerge.main_kwaymerge(argc, argv);
	//ut_heap.main_heap(argc, argv);
	//ut_trie.main_trie(argc, argv);
	//ut_bplustree.main_b_plus_tree(argc, argv);
	ut_dictionary.main_dictionary(argc, argv);

	return 0;
}

