/*
 * UnitTestDictionary.cpp
 *
 *  Created on: Oct 2, 2011
 *      Author: data
 */

#include "UnitTestDictionary.h"

using namespace std;

UnitTestDictionary::UnitTestDictionary() {

}

UnitTestDictionary::~UnitTestDictionary() {

}

int UnitTestDictionary::main_dictionary(int argc, char** argv) {
	if ( argc != 2 ) {
		cout << "Usage: DataStructures <dictionary-binary-output-file>" << endl;
		return 1;
	}

	string output_file = argv[1];
	CDictionary dict_1;
	dict_1.add_term("cat");
	dict_1.add_term("mat");
	dict_1.add_term("sat");
	dict_1.add_term("fat");
	dict_1.add_term("rat");
	dict_1.add_term("hat");
	dict_1.add_term("cats");
	dict_1.add_term("mats");
	dict_1.add_term("sats");
	dict_1.add_term("fats");
	dict_1.add_term("rats");
	dict_1.add_term("hats");

	dict_1.add_term("apple");
	dict_1.add_term("banana");
	dict_1.add_term("pineapple");
	dict_1.add_term("cantaloupe");
	dict_1.add_term("pumpkin");
	dict_1.add_term("cauliflower");

	dict_1.add_term("apples");
	dict_1.add_term("bananas");
	dict_1.add_term("pineapples");
	dict_1.add_term("cantaloupes");
	dict_1.add_term("pumpkins");
	dict_1.add_term("cauliflowers");

	cout << "[[Writing dictionary]]" << endl;
	dict_1.print_container();
	dict_1.dump_container_to_binary_file(output_file);

	cout << "[[Printing sorted dictionary]] .." << endl;
	dict_1.print_container();

	cout << "[[Reading from dictionary]]" << endl;
	dict_1.read_binary_file_into_container(output_file);
	dict_1.print_container();

	string word = "pineapple";
	cout << "[[Searching for word : " << word << "]]" << endl;
	pair<streampos, bool> find_tuple = dict_1.find_term(output_file, word);
	cout << find_tuple.first << " : " << find_tuple.second << endl;

	return 0;
}
