/*
 * UnitTestKMerge.cpp
 *
 *  Created on: Sep 8, 2010
 *      Author: data
 */

#include "UnitTestKMerge.h"
using namespace std;

UnitTestKMerge::UnitTestKMerge() {

}

UnitTestKMerge::~UnitTestKMerge() {

}

int UnitTestKMerge::main_kwaymerge(int argc, char** argv) {

	cout << "Unit Test main_kwaymerge()" << endl;
	vector<int>		v1;
	vector<int>		v2;
	vector<int>		v3;
	vector<int>		v4;

	for ( int i = 0; i < 40; ++i )
	{
		switch ( i / 10 )
		{
			default:
			case 0:
			{
				v1.push_back(i);
				break;
			}

			case 1:
			{
				v2.push_back(i);
				break;
			}

			case 2:
			{
				v3.push_back(i);
				break;
			}

			case 3:
			{
				v4.push_back(i);
				break;
			}
		}
	}

	cout << "Displaying contents of the vector" << endl;
	for_each(v1.begin(), v1.end(), show_int_vector); cout << endl;
	for_each(v2.begin(), v2.end(), show_int_vector); cout << endl;
	for_each(v3.begin(), v3.end(), show_int_vector); cout << endl;
	for_each(v4.begin(), v4.end(), show_int_vector); cout << endl;

	cout << "Performing K-way merge" << endl;
	kmerge_tree_c<int, vector<int>::iterator>	merge(4);
	merge.add(v1.begin(), v1.end());
	merge.add(v2.begin(), v2.end());
	merge.add(v3.begin(), v3.end());
	merge.add(v4.begin(), v4.end());

	merge.execute();
	for(;;) {
		vector<int>::iterator	i;
		if ( !merge.get_top(i) ) {
			break;
		}
		cout << *i << " ";
		merge.next();
	}
	cout << endl;
	return 0;
}

void show_int_vector(int a) {
	cout << " " << a ;
}

